Jump to content
slabypingwin

Nie można doinstalować pakietów językowych w Fedorze 26

Recommended Posts

Graficzne narzędzie ; system - administracja - languages - nie uruchamia się a w konsoli pokazuje taki błąd ;

Z najwyższymi uprawnieniami roota wygląda  to tak ;
 

Quote

 

[root@pc2 ~]# /usr/bin/system-config-language
Starting graphical mode failed.  Starting                                            text mode instead.
Traceback (most recent call last):
  File "/usr/share/system-config-language/system-config-language.py", line 67, in run
    if os.environ['DISPLAY'] != None:
  File "/usr/lib64/python3.6/os.py", line 669, in __getitem__
    raise KeyError(key) from None
KeyError: 'DISPLAY'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/system-config-language/system-config-language.py", line 76, in <module>
    scl.run()
  File "/usr/share/system-config-language/system-config-language.py", line 72, in run
    self.use_text_mode()
  File "/usr/share/system-config-language/system-config-language.py", line 39, in use_text_mode
    import language_tui
  File "/usr/share/system-config-language/language_tui.py", line 22, in <module>
    import snack
ModuleNotFoundError: No module named 'snack'
[root@pc2 ~]#

 

 

Proszę o pomoc ....

Quote

 

[darecki@pc2 ~]$ sudo language
sudo: language: command not found
[darecki@pc2 ~]$ /usr/bin/system-config-language
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused

(system-config-language.py:2930): Gtk-WARNING **: cannot open display: :0
[darecki@pc2 ~]$ sudo /usr/bin/system-config-language
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused
No protocol specified
Unable to init server: Could not connect: Connection refused

(system-config-language.py:4149): Gtk-WARNING **: cannot open display: :0
[darecki@pc2 ~]$

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×